package com.nova.flutter_ads;

import android.app.Activity;
import android.util.Log;

import com.ark.adkit.basics.models.OnSplashImpl;
import com.ark.adkit.polymers.polymer.ADTool;

import io.flutter.app.FlutterActivity;
import io.flutter.plugin.common.EventChannel;
import io.flutter.plugin.common.MethodCall;
import io.flutter.plugin.common.MethodChannel;
import io.flutter.plugin.common.MethodChannel.MethodCallHandler;
import io.flutter.plugin.common.MethodChannel.Result;
import io.flutter.plugin.common.PluginRegistry.Registrar;

/**
 * FlutterAdsPlugin
 */
public class FlutterAdsPlugin implements MethodCallHandler {
    /**
     * Plugin registration.
     */
    public static void registerWith(Registrar registrar) {
        FlutterAdsPlugin flutterAdsPlugin = new FlutterAdsPlugin();
        final MethodChannel channel = new MethodChannel(registrar.messenger(), "flutter_ads");
        channel.setMethodCallHandler(flutterAdsPlugin);

        //注册开屏广告UI插件
        SplashViewFactory factory = new SplashViewFactory((FlutterActivity) registrar.activity(), registrar.messenger());
        registrar.platformViewRegistry().registerViewFactory("plugins.nova.ads/splashview", factory);

        //注册本地广告
        NativeViewFactory nativeViewFactory = new NativeViewFactory((FlutterActivity) registrar.activity(), registrar.messenger());
        registrar.platformViewRegistry().registerViewFactory("plugins.nova.ads/nativeview", nativeViewFactory);


        //注册banner广告
        BannerViewFactory bannerViewFactory = new BannerViewFactory((FlutterActivity) registrar.activity(), registrar.messenger());
        registrar.platformViewRegistry().registerViewFactory("plugins.nova.ads/bannerview",bannerViewFactory);



    }

    @Override
    public void onMethodCall(MethodCall call, Result result) {
        if (call.method.equals("getPlatformVersion")) {
            result.success("Android " + android.os.Build.VERSION.RELEASE);
        } else {
            result.notImplemented();
        }
    }

}
